\documentclass{standalone}

\usepackage{tikz}
\input{couleur.sty}

\begin{document}
\begin{tikzpicture}[line cap=round,line join=round,x=1cm,y=1cm]
\draw [color=Gris3,, xstep=1cm,ystep=1cm] (-5,-4) grid (3,1);
\clip(-4,-4) rectangle (2,1);
\draw [line width=1.5pt,color=A1] (-2,-3)-- (-1,-2);
\draw [line width=1.5pt,color=A1] (-1,-2)-- (0,-3);
\draw [line width=1.5pt,color=A1] (0,-3)-- (0,-1);
\draw [line width=1.5pt,color=A1] (0,-1)-- (-2,-1);
\draw [line width=1.5pt,color=A1] (-2,-1)-- (-2,-3);
\draw [line width=1.5pt,color=B2] (-2.5,-3)-- (-1,-1.5);
\draw [line width=1.5pt,color=B2] (-1,-1.5)-- (0.5,-3);
\draw [line width=1.5pt,color=B2] (0.5,-3)-- (0.5,0);
\draw [line width=1.5pt,color=B2] (0.5,0)-- (-2.5,0);
\draw [line width=1.5pt,color=B2] (-2.5,0)-- (-2.5,-3);
\end{tikzpicture}
\end{document}